package com.djhk.uav.uav.service;


import com.djhk.common.core.domain.R;
import com.djhk.common.core.page.TableDataInfo;
import com.djhk.uav.airspace.domain.UavInfo;
import com.djhk.uav.uav.model.UavRepair;

import java.util.List;
import java.util.Map;

/**
 * 维修信息维护   Service接口
 * @description
 * @author mayongkai
 * @date 2023/3/11 19:16:58
 * @version 1.0
 */
public interface IUavRepairService
{

    /**
     * 查询信息维护列表
     *
     * @param UavRepair 信息维护
     * @return 信息维护集合
     */
    public R<List<UavRepair>>  selectUavRepairList(Map<String, Object> param);

    TableDataInfo selectUavTableData(Map<String, Object> param);

    R<UavRepair> selectUavRepairById(Long id);

    R insertUavRepair(UavRepair uavRepair);

    R updateUavRepair(UavRepair uavRepair);

    R deleteUavRepairByIds(Long[] ids);

    R<UavInfo> getInfoByUavNum(String uavNum);

    TableDataInfo selectUavRepairSubData(Map<String, Object> param);
}
